List what staff have done
GET
/console/actions
const url = 'https://example.com/console/actions?tenantId=019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f&limit=100';const options = { method: 'GET', headers: {cookie: 'bottle.session_token=<bottle.session_token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/console/actions?tenantId=019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f&limit=100' \ --cookie bottle.session_token=<bottle.session_token>Everything done through the console, newest first, for one business or one member of staff or all of it.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”tenantId
UUID v7
string format: uuid
Example
019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8fUUID v7
staffUserId
string
limit
integer
Responses
Section titled “Responses”Actions
Media typeapplication/json
object
items
required
Array<object>
object
id
required
UUID v7
string format: uuid
staffUserId
required
string
staffName
required
string | null
tenantId
required
UUID v7
string | null format: uuid
tenantName
required
string | null
targetUserId
required
string | null
targetName
required
string | null
action
required
string
details
required
object | null
at
required
string format: date-time
Example
{ "items": [ { "id": "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f", "tenantId": "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f" } ]}Not signed in
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Not Bottle staff, no two-step sign-in, or a console role too low for this
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Validation failed
Media typeapplication/json
object
error
required
string
message
required
string
issues
required
Array<object>
object
path
required
string
message
required
string
Example
{ "error": "validation", "issues": [ { "path": "email", "message": "Invalid email" } ]}